---
layout: default
title: "GitLab Jobs"
description: "Help the world build better software"
canonical_path: "/jobs/all-jobs/"
twitter_image: '/images/opengraph/Talent-Brand/hiring-group-shot-sko.png'
twitter_image_alt: "Image of GitLab Team Members gathered at an event"
twitter_site: "@gitlab"
twitter_creator: "@gitlab"
suppress_header: true
extra_css:
  - jobs.css
  - openings.css
extra_js:
  - openings.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 All Jobs
    %p We’ve been an all-remote company since day one.

.container
  #content.row.jobs--bucket
    .col-md-8.mt-5
      %section.accordion
        #Sales.accordion-item
          %h3#dept-sales.accordion-header
            %button.accordion-button.collapsed{"aria-controls" => "jobs-sales", "aria-expanded" => "false", "data-bs-target" => "#jobs-sales", "data-bs-toggle" => "collapse", :type => "button"} Sales
          #jobs-sales.accordion-collapse.collapse{"aria-labelledby" => "dept-sales", "data-bs-parent" => "#content"}
            .accordion-body
              %h6#All-Sales.accordion-subheader.mt-3.mb-2 Alliances & Channel Sales
              %ul#jobs-desc-sales__all.job--list
              %h6#Commercial-Sales.accordion-subheader.mt-3.mb-2 Commercial Sales
              %ul#jobs-desc-sales__comm.job--list
              %h6.accordion-subheader.mt-3.mb-2 Customer Success
              %ul#jobs-desc-sales__customer.job--list
              %h6.accordion-subheader.mt-3.mb-2 Enterprise Sales
              %ul#jobs-desc-sales__enterprise.job--list
              %h6.accordion-subheader.mt-3.mb-2 Field Operations
              %ul#jobs-desc-sales__field.job--list
        #Marketing.accordion-item
          %h3#dept-marketing.accordion-header
            %button.accordion-button.collapsed{"aria-controls" => "jobs-marketing", "aria-expanded" => "false", "data-bs-target" => "#jobs-marketing", "data-bs-toggle" => "collapse", :type => "button"} Marketing
          #jobs-marketing.accordion-collapse.collapse{"aria-labelledby" => "dept-marketing", "data-bs-parent" => "#content"}
            .accordion-body
              %h6.accordion-subheader.mt-3.mb-2 Brand
              %ul#jobs-desc-marketing__brand.job--list
              %h6.accordion-subheader.mt-3.mb-2 Campaigns
              %ul#jobs-desc-marketing__campaigns.job--list
              %h6.accordion-subheader.mt-3.mb-2 Communications
              %ul#jobs-desc-marketing__comm.job--list
              %h6.accordion-subheader.mt-3.mb-2 Community Relations
              %ul#jobs-desc-marketing__relations.job--list
              %h6.accordion-subheader.mt-3.mb-2 Content Marketing
              %ul#jobs-desc-marketing__content.job--list
              %h6.accordion-subheader.mt-3.mb-2 Digital Marketing
              %ul#jobs-desc-marketing__digital.job--list
              %h6.accordion-subheader.mt-3.mb-2 Field Marketing
              %ul#jobs-desc-marketing__field.job--list
              %h6.accordion-subheader.mt-3.mb-2 Product Marketing
              %ul#jobs-desc-marketing__product.job--list
              %h6.accordion-subheader.mt-3.mb-2 Other Marketing roles
              %ul#jobs-desc-marketing__all.job--list
        #Product.accordion-item
          %h3#dept-product.accordion-header
            %button.accordion-button.collapsed{"aria-controls" => "jobs-product", "aria-expanded" => "false", "data-bs-target" => "#jobs-product", "data-bs-toggle" => "collapse", :type => "button"} Product
          #jobs-product.accordion-collapse.collapse{"aria-labelledby" => "dept-product", "data-bs-parent" => "#content"}
            .accordion-body
              %h6.accordion-subheader.mt-3.mb-2 Product Management
              %ul#jobs-desc-product__mgmt.job--list
        #Engineering.accordion-item
          %h3#dept-engineering.accordion-header
            %button.accordion-button.collapsed{"aria-controls" => "jobs-engineering", "aria-expanded" => "false", "data-bs-target" => "#jobs-engineering", "data-bs-toggle" => "collapse", :type => "button"} Engineering
          #jobs-engineering.accordion-collapse.collapse{"aria-labelledby" => "dept-engineering", "data-bs-parent" => "#content"}
            .accordion-body
              %h6.accordion-subheader.mt-3.mb-2 Development
              %ul#jobs-desc-engineering__development.job--list
              %h6.accordion-subheader.mt-3.mb-2 Customer Support
              %ul#jobs-desc-engineering__support.job--list
              %h6.accordion-subheader.mt-3.mb-2 Security
              %ul#jobs-desc-engineering__security.job--list
              %h6.accordion-subheader.mt-3.mb-2 User Experience
              %ul#jobs-desc-engineering__ux.job--list
        #General-Administrative.accordion-item
          %h3#dept-general.accordion-header
            %button.accordion-button.collapsed{"aria-controls" => "jobs-general", "aria-expanded" => "false", "data-bs-target" => "#jobs-general", "data-bs-toggle" => "collapse", :type => "button"} General & Administrative
          #jobs-general.accordion-collapse.collapse{"aria-labelledby" => "dept-general", "data-bs-parent" => "#content"}
            .accordion-body
              %h6.accordion-subheader.mt-3.mb-2 Finance & Accounting
              %ul#jobs-desc-general_finance.job--list
              %h6.accordion-subheader.mt-3.mb-2 Business Technology
              %ul#jobs-desc-general_business.job--list
              %h6.accordion-subheader.mt-3.mb-2 Strategy & Operations
              %ul#jobs-desc-general_strategy.job--list
              %h6.accordion-subheader.mt-3.mb-2 Legal
              %ul#jobs-desc-general_legal.job--list
              %h6.accordion-subheader.mt-3.mb-2 People Operations
              %ul#jobs-desc-general_people.job--list
              %h6.accordion-subheader.mt-3.mb-2 Talent Aquisition
              %ul#jobs-desc-general_talent.job--list
    .col-md-3.mt-5
      %aside.sticky-top.mt-5.mt-md-0
        %form
          %label.mb-1{:for => "jump--links"} Browse by Department
          %select#jump--links
            %option{:disabled => "disabled"} Choose Department...
            %option{"data-bucket" => "#jobs-all", :value => "#All"} View All
            %option{"data-bucket" => "#jobs-sales", "data-scrollto" => "#jobs-sales__comm", :value => "#Sales"} Sales
            %option{"data-bucket" => "#jobs-marketing", :value => "#Marketing"} Marketing
            %option{"data-bucket" => "#jobs-product", :value => "#Product"} Product
            %option{"data-bucket" => "#jobs-engineering", :value => "#Engineering"} Engineering
            %option{"data-bucket" => "#jobs-general", :value => "#General-Administrative"} General & Administrative
          %label.mt-4.mb-1{:for => "filter--links"}
            Filter by Location
            %select#filter--links
              %option{:disabled => "disabled"} Choose location...
              %option{:value => "All"} View All
              %option{:value => "Remote"} Remote
              %option{:value => "Remote, Global"} Remote, Global
              %option{:value => "Remote, Americas"} Remote, Americas
              %option{:value => "Remote, EMEA"} Remote, EMEA
              %option{:value => "Remote, APAC"} Remote, APAC
              %option{:value => "Remote, US"} Remote, US
              %option{:value => "Remote, Eastern Europe"} Remote, Eastern Europe
              %option{:value => "Remote, North America"} Remote, North America
              %option{:value => "Remote, France"} Remote, France
              %option{:value => "Remote, Japan"} Remote, Japan
              %option{:value => "Remote, Germany"} Remote, Germany
              %option{:value => "Remote, United Kingdom"} Remote, United Kingdom
              %option{:value => "Remote, Europe-North/Central"} Remote, Europe-North/Central
          %label.mt-4.mb-1{:for => "job--search"}
            Search
            %input#job--search{:type => "text", :placeholder => "Enter keywords"}/
            %ul#openings{"style" => "display: none;"}
